import type { Tagging } from '@/api'
import type { ColumnsType } from 'ant-design-vue/es/table'
import { h } from 'vue'
import { TaggingStatusDesc } from '@/api'
import { ui18n } from '@/lang'

export const taggingColumns: ColumnsType<Tagging> = [
  // {
  //   title: '序列',
  //   dataIndex: 'teamId',
  //   key: 'teamId',
  //   customRender: ({ index }) => index + 1
  // },
  {
    title: ui18n.t('tagging.markingTitleLabel'),
    key: 'markingTitle',
    dataIndex: 'markingTitle'
  },
  {
    title: ui18n.t('tagging.createByLabel'),
    dataIndex: 'createBy',
    key: 'createBy'
  },
  {
    title: ui18n.t('tagging.usersLabel'),
    dataIndex: 'users',
    key: 'users',
    customRender(data) {
      return data.record.users.map(user => user.nickName).join('、')
    }
  },
  {
    title: ui18n.t('tagging.statusLabel'),
    dataIndex: 'status',
    key: 'status',
    customRender(data) {
      return h(
        'span',
        TaggingStatusDesc[data.record.markingStatus] || ui18n.t('sys.un')
      )
    }
  },
  {
    title: ui18n.t('tagging.lastUpdateByLabel'),
    dataIndex: 'lastUpdateBy',
    key: 'lastUpdateBy'
  },
  {
    title: ui18n.t('tagging.updateTimeLabel'),
    dataIndex: 'updateTime',
    key: 'updateTime'
  }
]
